proc ddhpmt_makeframe {} {

   toplevel .ddhpmt
   wm title .ddhpmt "PMT"
   wm transient .ddhpmt [winfo toplevel [winfo parent .ddhpmt]]

   set width 6
   set xpad 4
   set ypad 4

   global unsaved_changes

   frame .ddhpmt.frmbtn
   pack .ddhpmt.frmbtn -side top -fill x
   button .ddhpmt.frmbtn.btnimp -text "Import Poser Morph Target" -command {
      # Import
      if { $unsaved_changes } {
         set answer [tk_messageBox -message "This will clear all data from the current document - Are you sure?" -title "Delete current model?" -type yesno -icon question]
         case $answer {
            yes {}
            no {
               return;
            }
         }
      }
      ac3d clear_all
      ac3d redraw_all
      update_savefile_name ""
      set unsaved_changes TRUE
      sync_ui
      eval ac3d ddhpmt_load
   }
   pack .ddhpmt.frmbtn.btnimp -pady $ypad

   frame .ddhpmt.frmbtn2
   pack .ddhpmt.frmbtn2 -side top -fill x
   button .ddhpmt.frmbtn2.btnexp -text "Export Poser Morph Target" -command {
      # Export all
      eval ac3d ddhpmt_save
   }
   pack .ddhpmt.frmbtn2.btnexp -pady $ypad

   frame .ddhpmt.frmbtn3
   pack .ddhpmt.frmbtn3 -side top -fill x
   button .ddhpmt.frmbtn3.btnexpfin -text "Export Final Morph Target\n(cannot re-import)" -command {
      # Export all
      eval ac3d ddhpmt_save_final
   }
   pack .ddhpmt.frmbtn3.btnexpfin -pady $ypad

}

proc ddhpmt_dialog {} {

   if ![winfo exists .ddhpmt] {
      ddhpmt_makeframe
   }

   wm deiconify .ddhpmt
   centre_window_on_screen .ddhpmt

}

